lrelease(1)

NAME
lrelease - generate Qt message files from Qt Linguist translation files

SYNOPSIS
lrelease [options] project-file

DESCRIPTION
This page documents the Qt Linguist Release tool for the Qt GUI application framework. Lrelease reads a tmake/qmake project file (.pro file) and converts the translation files (.ts files) specified in it into Qt message files (.qm files) used by the application to translate.

The .qm file format is a compact binary format that provides extremely fast lookups for translations and that is used by Qt.

OPTIONS

-help
    Display the usage and exit.

-verbose
    Explain what is being done.

-version
    Display the version of lrelease and exit.

USAGE
Here is an example .pro file that can be given to lrelease:

HEADERS         = funnydialog.h \
                  wackywidget.h
SOURCES         = funnydialog.cpp \
                  main.cpp \
                  wackywidget.cpp
FORMS           = fancybox.ui
TRANSLATIONS    = gnomovision_dk.ts \
                  gnomovision_fi.ts \
                  gnomovision_no.ts \
                  gnomovision_se.ts

When running lrelease on this project file, the Qt message files gnomovision_dk.qm, gnomovision_fi.qm, gnomovision_no.qm and gnomovision_se.qm will be generated from gnomovision_dk.ts, gnomovision_fi.ts, gnomovision_no.ts and gnomovision_se.ts, respectively.

SEE ALSO
lupdate(1) and http://doc.trolltech.com/i18n.html

AUTHOR
Jasmin Blanchette, Trolltech AS <jasmin@trolltech.com>